cpw.mods.fml.common.asm.transformers.deobf

## Class FMLDeobfuscatingRemapper

- java.lang.Object
- - org.objectweb.asm.commons.Remapper
  - - cpw.mods.fml.common.asm.transformers.deobf.FMLDeobfuscatingRemapper

-     public class FMLDeobfuscatingRemapper
      extends org.objectweb.asm.commons.Remapper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static FMLDeobfuscatingRemapper` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `getObfedClasses()`
    `boolean` | `isRemappedClass(String className)`
    `String` | `map(String typeName)`
    `String` | `mapFieldName(String owner, String name, String desc)`
    `String` | `mapMethodName(String owner, String name, String desc)`
    `void` | `mergeSuperMaps(String name, String superName, String[] interfaces)`
    `void` | `setup(File mcDir, net.minecraft.launchwrapper.LaunchClassLoader classLoader, String deobfFileName)`
    `void` | `setupLoadOnly(String deobfFileName, boolean loadAll)`
    `String` | `unmap(String typeName)`

    - ### Methods inherited from class org.objectweb.asm.commons.Remapper

      `mapDesc, mapInvokeDynamicMethodName, mapMethodDesc, mapSignature, mapType, mapTypes, mapValue`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final FMLDeobfuscatingRemapper INSTANCE

  - ### Method Detail

    - #### setupLoadOnly

          public void setupLoadOnly(String deobfFileName,
                           boolean loadAll)

    - #### setup

          public void setup(File mcDir,
                   net.minecraft.launchwrapper.LaunchClassLoader classLoader,
                   String deobfFileName)

    - #### isRemappedClass

          public boolean isRemappedClass(String className)

    - #### mapFieldName

          public String mapFieldName(String owner,
                            String name,
                            String desc)

      Overrides:
        `mapFieldName` in class `org.objectweb.asm.commons.Remapper`

    - #### map

          public String map(String typeName)

      Overrides:
        `map` in class `org.objectweb.asm.commons.Remapper`

    - #### unmap

          public String unmap(String typeName)

    - #### mapMethodName

          public String mapMethodName(String owner,
                             String name,
                             String desc)

      Overrides:
        `mapMethodName` in class `org.objectweb.asm.commons.Remapper`

    - #### mergeSuperMaps

          public void mergeSuperMaps(String name,
                            String superName,
                            String[] interfaces)

    - #### getObfedClasses

          public Set<String> getObfedClasses()